package com.yono.messeripos.models;

import com.google.gson.annotations.SerializedName;

public class CategoryModels<T> {
    @SerializedName("id")
    private int idCategory;

    @SerializedName("name")
    private String nameCategory;

    @SerializedName("product")
    private T productCategory;

    public int getIdCategory() {
        return idCategory;
    }

    public void setIdCategory(int idCategory) {
        this.idCategory = idCategory;
    }

    public String getNameCategory() {
        return nameCategory;
    }

    public void setNameCategory(String nameCategory) {
        this.nameCategory = nameCategory;
    }

    public T getProductCategory() {
        return productCategory;
    }

    public void setProductCategory(T productCategory) {
        this.productCategory = productCategory;
    }
}
